Index: WAeUP_SRP/trunk/skins/waeup_academics/department_index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_index_html.py	(revision 473)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=psm=None, REQUEST=None
-
-# $Id$
-
-"""Default view for a Faculty."""
-member = context.portal_membership.getAuthenticatedMember()
-if not context.portal_membership.isAnonymousUser():
-    roles = member.getRoles()
-    if 'Manager' in roles:
-        return context.folder_view()
-    elif 'StudentManager' in roles:
-        return context.department_view_manager()
-return context.department_view_student()
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_view_manager.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_view_manager.pt	(revision 473)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="department here/getContent;
-               items here/contentValues"
-               >
-    <span>
-      <h2 tal:content="department/title_or_id"></h2>
-      <p tal:content="department/Description">
-      </p>
-      <br />
-      
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            no courses yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_view_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_view_student.pt	(revision 473)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="department here/getContent;
-               items here/contentValues"
-               >
-    <span>
-      <h2 tal:content="department/title_or_id"></h2>
-      <p tal:content="department/Description">
-      </p>
-      <br />
-      
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            no courses yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_contents.pt	(revision 473)
+++ 	(revision )
@@ -1,135 +1,0 @@
-<metal:html tal:define="display_change request/change_display|nothing;
-                        params here/getDisplayParams;
-                        sort_by params/sort_by;
-                        direction params/direction;
-                        format string:detail_tab;
-                        displayed python:request.get('displayed', None);
-                       ">
-
-<metal:body use-macro="here/content_lib_master/macros/master">
-
-<metal:header metal:fill-slot="header">
-  <h1 tal:content="here/title_or_id">
-    Page Title
-  </h1>
-  <div tal:condition="nothing" id="bylineFolder"
-    class="ddefault">
-    <small>
-      <span metal:use-macro="here/content_lib_byline/macros/byline">By Me</span>
-    </small>
-  </div>
-  <a href="" accesskey="V"
-     style="display:none"
-     tal:attributes="href string:${context_url}/"></a>
-  <a href="" accesskey="N"
-     style="display:none"
-     tal:attributes="href string:${context_url}/folder_factories"></a>
-  <div style="text-align: right" tal:condition="python: False and (not here.isInWorkspace() or (here.isInWorkspace() and sort_by))">
-    <form action="" method="post"
-          tal:attributes="action string:${here_url}/changeDisplayParams">
-      <p>
-      <tal:block condition="python:not here.isInWorkspace()">
-        <metal:params use-macro="here/content_lib_display_params_form/macros/display_params_form" />
-        <input type="submit" value="button_apply" class="standalone"
-             i18n:attributes="value" />
-      </tal:block>
-      <tal:block condition="python:here.isInWorkspace() and sort_by">
-        <input type="hidden" name="display_order" value="None" />
-        <input type="submit" value="label_none" class="standalone"
-             i18n:attributes="value" />
-      </tal:block>
-      </p>
-    </form>
-  </div>
-</metal:header>
-
-<metal:main fill-slot="javascript_head_slot">
-  <tal:block tal:replace="nothing">
-    XXX Deactivated for CPS 3.4.0, will be re-enabled for 3.4.1
-    <script type="text/javascript" src="prototype.js"
-      tal:attributes="src string:${base_url}prototype.js"></script>
-    <script type="text/javascript" src="effects.js"
-      tal:attributes="src string:${base_url}effects.js"></script>
-    <script type="text/javascript" src="dragdrop.js"
-      tal:attributes="src string:${base_url}dragdrop.js"></script>
-    <script type="text/javascript" src="cpsdefault.js"
-      tal:attributes="src string:${base_url}cpsdefault.js"></script>
-  </tal:block>
-</metal:main>
-
-<metal:main fill-slot="main"
-  tal:define="list_here python:checkPerm('List folder contents', here);">
-
-  <div tal:condition="not: list_here"
-    tal:define="response request/RESPONSE;url here_url;">
-    <span tal:define="redirect python: response.redirect(url)"></span>
-  </div>
-
-  <form action="" method="post" class="group"
-        tal:attributes="action here_url"
-        tal:define="no_form python:not checkPerm('Modify portal content', here);
-
-                    nav_action string:folder_contents;
-                    items python:here.getFolderContents(displayed=displayed);">
-
-    <metal:block use-macro="here/academics_content_lib_display_contents/macros/display_contents" />
-
-    <table width="100%" cellspacing="0" cellpadding="2"
-      summary="contents of the folder"
-      class="folderButtons"
-      tal:define="can_add python:checkPerm('Add portal content', here);
-                  can_del python:checkPerm('Delete objects', here);">
-      <tr>
-        <td align="left" valign="top" rowspan="3"></td>
-        <td align="left" valign="top">
-          <span tal:condition="items">
-            <input type="button" value="button_select_all" class="context"
-                   onclick="someJavaScriptFunctionThatWillBeReplaced"
-                   i18n:attributes="value"
-                   tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                                   % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))" />
-          </span>
-          <span tal:condition="python: False and can_add">
-            <input type="submit" name="folder_cut:method" value="button_cut"
-                   class="context" i18n:attributes="value"
-                   tal:condition="can_del" />
-            <input type="submit" name="folder_copy:method" value="button_copy"
-              class="context" i18n:attributes="value" />
-          </span>
-          <span tal:condition="python:False and can_add and here.cb_dataValid()">
-            <input type="submit" name="folder_paste:method" value="button_paste"
-              class="context" i18n:attributes="value" />
-          </span>
-          <span tal:condition="can_del">
-            <input type="submit" name="folder_rename_form:method"
-              class="context" value="button_rename" i18n:attributes="value" />
-            <input type="submit" name="folder_delete:method" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-              (cpsmcat('description_confirm_delete'), )" />
-          </span>
-        </td>
-      </tr>
-      <tr tal:define="isWsManager python:checkPerm('Change subobjects order',
-                                                   here);"
-          tal:condition="python:False and isWsManager and sort_by is None">
-        <td>
-          <input type="submit" value="button_move_up" class="context moveUp"
-                 i18n:attributes="value" name="moveItemsUp:method" />
-          <input type="submit" value="button_move_down" class="context moveDown"
-                 i18n:attributes="value" name="moveItemsDown:method" />
-          <input type="submit" value="button_move_top" class="context moveTop"
-                 i18n:attributes="value" name="moveItemsTop:method" />
-          <input type="submit" value="button_move_bottom"
-                 class="context moveBottom"
-                 i18n:attributes="value" name="moveItemsBottom:method" />
-        </td>
-      </tr>
-    </table>
-  </form>
-</metal:main>
-
-<metal:sub fill-slot="sub"/>
-
-</metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_html.py	(revision 473)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##parameters=psm=None, REQUEST=None
-
-# $Id$
-
-"""Default view for a Faculty."""
-member = context.portal_membership.getAuthenticatedMember()
-
-if not context.portal_membership.isAnonymousUser():
-    roles = member.getRoles()
-    if 'Manager' in roles:
-        return context.folder_view()
-    elif 'StudentManager' in roles:
-        return context.faculty_view_manager()
-return context.faculty_view_student()
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_manager.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_manager.pt	(revision 473)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="faculty here/getContent;
-               items here/contentValues"
-               >
-    <h2 tal:content="faculty/title_or_id"></h2>
-    <p tal:content="faculty/Description"></p>
-    <span> 
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            nothing yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_student.pt	(revision 473)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="faculty here/getContent;
-               items here/contentValues"
-               >
-    <h2 tal:content="faculty/title_or_id"></h2>
-    <p tal:content="faculty/Description"></p>
-    <span> 
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            nothing yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view.py	(revision 473)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=psm=None
-# $Id: temporary_view_all.py 197 2006-02-08 12:47:31Z joachim $
-
-"""
-"""
-
-member = context.portal_membership.getAuthenticatedMember()
-uname = str(member)
-roles = member.getRoles()
-cat = context.portal_catalog
-request = context.REQUEST
-url0 = request.get('URL0')
-return context.level_view_form()
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt	(revision 473)
+++ 	(revision )
@@ -1,71 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
-               frontend python:'Student' in roles or isAnon;
-               folder here/getContent;
-               items python:context.filterContents(items=context.contentValues());"
-               >
-    <h3><span tal:content="context/title_or_id" /></h3>  
-  
-    <tal:block condition="python: len(items)">  
-      <table>
-        <span tal:repeat="item items">
-          <span tal:define="courses python:item.filterContents(items=item.contentValues())">
-            <tr>
-              <th> <span tal:content="item/id" tal:omit-tag="" /> Semester
-              </th>
-            </tr>
-            <tr>
-              <th>Title
-              </th>
-              <th>
-              </th>
-              <th>Credits</th>
-              <th>Pass</th>
-            </tr>
-            <span tal:repeat="course courses">
-              <tr tal:define="info course/getContentInfo;
-                  wf_status info/review_state;
-                  wf_action python: test(wf_status == 'unchecked', 'approve', 'retract')">
-                <td align="center"><span tal:content="string: ${course/getId} ${course/Title}" tal:omit-tag=""/></td>
-                <td align="center" tal:content="python: test(path('course/core_or_elective'),'Core','elective')"></td>
-                <td align="center" tal:content="course/credits"></td>
-                <td align="center" tal:content="course/passmark"></td>
-                <td align="center" tal:content="wf_status"></td>
-                <td><a href="changestatus"
-                       tal:attributes="href string: ${course/absolute_url}/content_status_modify?workflow_action=${wf_action}"
-                       tal:content="string:[${wf_action}]"></a>
-                </td>
-                <td><a href="changestatus"
-                       tal:attributes="href string: ${course/absolute_url}/cpsdocument_edit_form">[edit]</a>
-                </td>
-                <td><a href="coures" tal:content="string:goto Course" 
-                       tal:attributes="href course/coursepath"></a>
-                </td>
-              </tr>
-            </span>
-            <tr> <td></td></tr>
-          </span>
-        </span>
-        </table>
-      </tal:block>
-    
-    <tal:block condition="python: not len(items)">
-        (No Courses yet!)
-    </tal:block>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_default/faculties.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/faculties.pt	(revision 473)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="items context/contentValues"
-               >
-    <span> 
-      <h2>The Faculties</h2>
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <span tal:repeat="item items">
-            <tr tal:condition="python:item.portal_type == 'Faculty'">
-              <td colspan="1">
-                <a href="faculty" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-              </td>
-            </tr>
-          </span>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            nothing yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_row_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_row_edit.pt	(revision 473)
+++ 	(revision )
@@ -1,187 +1,0 @@
-<tal:block define="global creation python:1" />
-<metal:block define-macro="default_edit"
-             tal:define="layout options/layout;
-             ds options/datastructure;
-             creation creation|nothing;
-             metadata metadata|nothing;
-             type_name request/type_name|nothing;
-             ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-             creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-             edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-             metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-             formaction options/formaction;
-             first_layout options/first_layout|python:0;
-             last_layout options/last_layout|python:0;
-             is_flexible options/is_flexible;
-             cpsmcat nocall:here/translation_service;
-             results options/items;
-             "
-             >
-  <span tal:content="structure layout" tal:condition="python: 0" />
-  <form tal:condition="python: 1" action='tobereplaced' method='post' tal:attributes="action formaction"
-        enctype='multipart/form-data' class='workflow'>
-    <div class=''>
-      <div class='documentFields'>
-        <table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-          <tr tal:repeat="item results" valign="top">
-            <td>
-        <table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-          <tr tal:repeat="row layout/rows" valign="top">
-            <td tal:repeat="cell row" 
-                tal:attributes="colspan cell/ncols">
-              <tal:block define="widget cell/widget;
-              wid widget/getWidgetId;
-              dm options/datastructure/getDataModel;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required widget/is_required|nothing;
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              widget_css_class python:test(is_flexible, 'group', widget_css_class);
-              css_class python:test(err, 'row error',
-              test(is_flexible, 'group', 'row'))"
-              >
-                <div tal:attributes="class widget_css_class;
-                id python:widget.getHtmlWidgetId()+'_widget';"
-                >
-                  <div class="label" tal:condition="widget/label_edit"
-                       tal:attributes="class python:test(is_required, 'label required','label')">
-                    <label i18n:translate="" tal:condition="widget/is_i18n"
-                           tal:content="widget/label_edit"
-                           tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                    <label tal:condition="not:widget/is_i18n"
-                           tal:content="widget/label_edit"
-                           tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                  </div>
-                  <button type="button" class="tooltipControl"
-                          tal:condition="widget/help"
-                          tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-                  <div class="field">
-                    <div tal:replace="structure cell/widget_rendered"/>
-                  </div>
-                  <div class="tooltipArea" style="visibility: hidden;"
-                       tal:condition="widget/help"
-                       tal:attributes="id tooltip_id;
-                       onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                       >
-                    <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-                               tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-                    <tal:block tal:condition="not:widget/is_i18n"
-                               tal:content="widget/help">This is the help for this field</tal:block>
-                  </div>
-                  <tal:block condition="err">
-                    <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                      <br /><em style="color: red"
-                                tal:content="msg">err</em>
-                    </tal:block>
-                  </tal:block>
-                </div>
-              </tal:block>
-            </td>
-          </tr>
-        </table>
-            </td>
-          </tr>
-      <tr>
-        <td align="left" colspan="3">
-          <input class="standalone" type="submit" name="change" value=" Change " />
-          <input class="standalone" type="submit" name="delete" value=" Delete " />
-        </td>
-      </tr>
-        </table>
-    <table cellspacing="0" cellpadding="2" border="0" width="100%" tal:condition="nothing">
-      <tr>
-        <td align="left" valign="top">
-          &nbsp;
-        </td>
-        <td align="left" valign="top">
-          <div class="label">Type</div>
-        </td>
-        <td align="left" valign="top">
-          <div class="label">Subject</div>
-        </td>
-        <td align="left" valign="top">
-          <div class="label">Result</div>
-        </td>
-      </tr>
-      <span tal:repeat="row results" tal:condition="python: 0" tal:omit-tag="">
-        <tr tal:define="rindex repeat/row/index">
-          <td align="left" valign="top">
-            <input type="checkbox" name="keys:list" value="100" tal:attributes="value string:${repeat/row/index}"/>
-          </td>
-          <td align="left" valign="top">
-            <div class="field">
-              <input type="text" name="key_0" value="100" size="20" 
-                     tal:attributes="name string:type_${rindex};value python:row[0]" />
-            </div>
-          </td>
-          <td align="left">
-            <div class="field">
-              <input type="text" name="label_0" value="Year 1 (100 Level)" size="40" 
-                     tal:attributes="name string:subject_${rindex};value python:row[1]" />
-            </div>
-          </td>
-          <td align="left">
-            <div class="field">
-              <input type="text" name="msgid_0" value="" size="10" 
-                     tal:attributes="name string:result_${rindex};value python:row[2]" />
-            </div>
-          </td>
-        </tr>
-      </span>
-      <tr>
-        <td align="left" colspan="3">
-          <input class="standalone" type="submit" name="change" value=" Change " />
-          <input class="standalone" type="submit" name="delete" value=" Delete " />
-        </td>
-      </tr>
-    </table>
-    <table tal:condition="python:0" cellspacing="0" cellpadding="2" border="0" width="100%">
-      <tr>
-        <td align="left" valign="top" colspan="2">
-          <div>Add a new post-primary school result:</div>
-        </td>
-      </tr>
-      <tr>
-        <td align="left" valign="top">
-          &nbsp;
-        </td>
-        <td align="left" valign="top">
-          <div class="label">Type</div>
-        </td>
-        <td align="left" valign="top">
-          <div class="label">Subject</div>
-        </td>
-        <td align="left" valign="top">
-          <div class="label">Result</div>
-        </td>
-      </tr>
-      <tr>
-        <td align="left" valign="top">
-          &nbsp;
-        </td>
-        <td align="left" valign="top">
-          <div  class="field">
-            <input type="text" name="type" value="" size="20" /> 
-          </div>
-        </td>
-        <td align="left">
-          <div  class="field">
-            <input type="text" name="subject" value="" size="40" />
-          </div>
-        </td>
-        <td align="left">
-          <div  class="field">
-            <input type="text" name="result" value="" size="10" />
-          </div>
-        </td>
-      </tr>
-      <tr>
-        <td align="left" colspan="3">
-          <input class="standalone" type="submit" name="add" value=" Change/Add " />
-        </td>
-      </tr>
-    </table>
-  </form>
-</metal:block>
-  
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_fancy_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_fancy_view.pt	(revision 473)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<tal:block define="layout options/layout;
-                   widgets options/layout/widgets;
-                   ds options/datastructure;
-                   fixed_layouts python:['title'];
-                  ">
-
-
-<!-- Flex part for instance here -->
-
-<table width="100%" cellpadding="2" cellspacing="2">
-  <tr tal:repeat="row layout/rows">
-    <td tal:repeat="cell row" tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget">
-        <tal:block condition="python:widget.label and widget.id[3:] not in fixed_layouts ">
-          <strong tal:content="widget/label">label</strong>:
-          <div tal:replace="structure python:widget.render('view', ds, layout_mode='view')" />
-      </tal:block>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 474)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 474)
@@ -0,0 +1,372 @@
+<!-- WAeUP layout_lib  -->
+<!-- $Id: layout_lib_div_view.pt 24721 2005-07-08 13:04:38Z dwyart $ -->
+
+<!-- div_view  -->
+
+<metal:block define-macro="div_view"
+             tal:define="layout options/layout">
+  <tal:block repeat="row layout/rows">
+    <tal:block repeat="cell row">
+      <tal:block define="widget cell/widget">
+        <div tal:define="dm options/datastructure/getDataModel;"
+             tal:attributes="class cell/widget_css_class|nothing;
+             id python:widget.getHtmlWidgetId()+'_widget';"
+             >
+          <tal:block condition="widget/label">
+            <span class="dlabel" i18n:translate="" tal:condition="widget/is_i18n"
+                  tal:content="widget/label">label</span>
+            <span class="dlabel" tal:condition="not:widget/is_i18n"
+                  tal:content="widget/label">label</span>
+          </tal:block>
+          <tal:block replace="structure cell/widget_rendered" />
+        </div>
+      </tal:block>
+    </tal:block>
+  </tal:block>
+</metal:block>
+
+<!-- table view -->
+<metal:block define-macro="table_view"
+             tal:define="layout options/layout">
+<table border="0">
+    <tal:block repeat="row layout/rows">
+      <tr>
+        <tal:block repeat="cell row">
+          <tal:block define="widget cell/widget">
+            <div tal:omit-tag=""
+                 tal:define="dm options/datastructure/getDataModel;"
+                 tal:attributes="class cell/widget_css_class|nothing;
+                 id python:widget.getHtmlWidgetId()+'_widget';" 
+                 >
+              <tal:block condition="widget/label">
+              <td valign="top">
+                <span i18n:translate="" tal:condition="widget/is_i18n">
+                    <span tal:content="widget/label" />:</span>
+                <span tal:condition="not:widget/is_i18n">
+                    <span tal:content="widget/label" />:</span>
+              </td>
+              </tal:block>
+              <tal:block condition="not: widget/label">
+              <td>
+                <div valign="top"> no label </div>
+              </td>
+              </tal:block>              
+              <td>
+               <div class="ddescription"  tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
+               <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
+             </td>
+            </div>
+          </tal:block>
+        </tal:block>
+      </tr>
+    </tal:block>
+  </table>
+</metal:block>
+
+<!-- default edit  -->
+
+<metal:block define-macro="default_edit"
+  tal:define="layout options/layout;
+              ds options/datastructure;
+              creation creation|nothing;
+              metadata metadata|nothing;
+              type_name request/type_name|nothing;
+              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
+              creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
+              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
+              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
+              formaction python: test(creation, creation_form,
+                                 test(metadata, metadata_form,
+                                                edit_form));
+              first_layout options/first_layout|python:0;
+              last_layout options/last_layout|python:0;
+              is_flexible options/is_flexible;
+              cpsmcat nocall:here/translation_service;
+              ">
+<tal:block condition="first_layout">
+  <tal:block
+  content="structure string:<form action='${formaction}' method='post'
+  enctype='multipart/form-data' class='workflow'>
+  <div class=''><div class=''>" />
+  <input type="hidden" name="type_name" value="."
+    tal:condition="creation" tal:attributes="value request/type_name" />
+</tal:block>
+
+<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
+  <tr tal:repeat="row layout/rows" valign="top">
+    <td tal:repeat="cell row"
+      tal:attributes="colspan cell/ncols">
+      <tal:block define="widget cell/widget;
+                         wid widget/getWidgetId;
+                         dm options/datastructure/getDataModel;
+                         err python:ds.getError(wid);
+                         err_mapping python:ds.getErrorMapping(wid);
+                         is_required widget/is_required|nothing;
+                         tooltip_id python:wid + '_help';
+                         widget_css_class cell/widget_css_class|nothing;
+                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
+                         css_class python:test(err, 'row error',
+                                               test(is_flexible, 'group', 'row'))">
+        <div tal:attributes="class widget_css_class;
+                             id python:widget.getHtmlWidgetId()+'_widget';
+                            ">
+          <div class="label" tal:condition="widget/label_edit"
+            tal:attributes="class python:test(is_required, 'label required',
+                                              'label')">
+            <label i18n:translate="" tal:condition="widget/is_i18n"
+              tal:content="widget/label_edit"
+              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+            <label tal:condition="not:widget/is_i18n"
+              tal:content="widget/label_edit"
+              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+          </div>
+          <button type="button" class="tooltipControl"
+                  tal:condition="widget/help"
+                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+          <div class="field">
+            <div tal:replace="structure cell/widget_rendered"/>
+          </div>
+          <div class="tooltipArea" style="visibility: hidden;"
+               tal:condition="widget/help"
+               tal:attributes="id tooltip_id;
+                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
+            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
+              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
+            <tal:block tal:condition="not:widget/is_i18n"
+              tal:content="widget/help">This is the help for this field</tal:block>
+          </div>
+          <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                  tal:content="msg">err</em>
+              </tal:block>
+          </tal:block>
+          <div style="float: right;" tal:condition="is_flexible">
+            <input type="submit" value="button_move_up"
+              tal:condition="not:repeat/row/start"
+              tal:attributes="name string:uprow_${repeat/row/index}"
+              class="context moveUp" i18n:attributes="value" />
+            <input type="submit" value="button_move_down"
+              tal:condition="not:repeat/row/end"
+              tal:attributes="name string:downrow_${repeat/row/index}"
+              class="context moveDown" i18n:attributes="value" />
+            <input type="submit" value="button_delete"
+              class="destructive" i18n:attributes="value"
+              tal:attributes="name string:deleterow_${repeat/row/index};
+                              onclick python:'return window.confirm(\'%s\')' %
+                                (cpsmcat('description_confirm_delete'), )" />
+          </div>
+        </div>
+      </tal:block>
+    </td>
+  </tr>
+</table>
+
+<tal:block condition="is_flexible">
+<div style="float: right;"
+    tal:define="flexible_widgets options/flexible_widgets">
+  <input type="hidden" name="layout_id" value="."
+    tal:attributes="value layout/layout_id" />
+  <tal:select condition="python:len(flexible_widgets)>1">
+    <select name="widget_type">
+      <tal:block repeat="widget options/flexible_widgets">
+      <option value="."
+        tal:condition="widget/is_i18n"
+        i18n:translate=""
+        tal:attributes="value widget/getWidgetId"
+        tal:content="widget/title_or_id">Type</option>
+      <option value="."
+        tal:condition="not:widget/is_i18n"
+        tal:attributes="value widget/getWidgetId"
+        tal:content="widget/title_or_id">Type</option>
+      </tal:block>
+    </select>
+    <input type="submit" name="addwidget_button" value="button_add"
+     class="context"
+     i18n:attributes="value" />
+  </tal:select>
+  <tal:button condition="python:len(flexible_widgets) == 1">
+    <tal:block define="widget python:flexible_widgets[0]">
+      <input type="hidden" name="widget_type"
+        tal:attributes="value widget/getWidgetId">
+      <input type="submit" name="addwidget_button"
+        tal:define="button_add python:cpsmcat('button_add');
+          widget_title python:cpsmcat(widget.title_or_id())"
+        tal:attributes="value string:${button_add} ${widget_title}"
+        class="context" />
+    </tal:block>
+  </tal:button>
+</div>
+</tal:block>
+
+<tal:block condition="last_layout">
+  <tal:block content="structure string:</div>" />
+  <metal:block define-slot="additional_content" />
+
+  <input type="submit" class="standalone" name="cpsdocument_edit_button"
+    value="button_change" i18n:attributes="value"
+    tal:condition="not:creation" />
+  <input type="submit" class="standalone" name="cpsdocument_create_button"
+    value="button_create" i18n:attributes="value" tal:condition="creation" />
+  <tal:block content="structure string:</div></form>" />
+</tal:block>
+
+</metal:block>
+<!-- default edit  -->
+
+<metal:block define-macro="common_edit"
+  tal:define="layout options/layout;
+              ds options/datastructure;
+              creation creation|nothing;
+              metadata metadata|nothing;
+              type_name request/type_name|nothing;
+              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
+              tin python:type_name and getattr(here.portal_types,type_name,None);
+              creation_form options/create_action|string:create_common;
+              edit_form    options/edit_action|string:cpsdocument_edit_form;
+              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
+              formaction python: test(creation, creation_form,
+                                 test(metadata, metadata_form,
+                                                edit_form));
+              first_layout python:1;
+              last_layout python:1;
+              is_flexible options/is_flexible;
+              cpsmcat nocall:here/translation_service;
+              ">
+<tal:block condition="first_layout">
+    <span tal:condition="python: 0">
+      <span tal:content="request/type_name|string:No Typename" /><br />
+      <span tal:content="creation_form" /><br />
+      <span tal:content="ti" /><br />
+      <span tal:content="python:ti.getActionById('create', 'cpsdocument_create_form')" /><br />
+      <span tal:content="python:getattr(here.portal_types,type_name,'no type')" /><br />
+    </span>
+  <tal:block
+  content="structure string:<form action='${formaction}' method='post'
+  enctype='multipart/form-data' class='workflow'>
+  <div class=''><div class='documentFields'>" />
+  <input type="hidden" name="type_name" value="."
+    tal:condition="creation" tal:attributes="value request/type_name" />
+</tal:block>
+
+<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
+  <tr tal:repeat="row layout/rows" valign="top">
+    <td tal:repeat="cell row"
+      tal:attributes="colspan cell/ncols">
+      <tal:block define="widget cell/widget;
+                         wid widget/getWidgetId;
+                         dm options/datastructure/getDataModel;
+                         err python:ds.getError(wid);
+                         err_mapping python:ds.getErrorMapping(wid);
+                         is_required widget/is_required|nothing;
+                         tooltip_id python:wid + '_help';
+                         widget_css_class cell/widget_css_class|nothing;
+                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
+                         css_class python:test(err, 'row error',
+                                               test(is_flexible, 'group', 'row'))">
+        <div tal:attributes="class widget_css_class;
+                             id python:widget.getHtmlWidgetId()+'_widget';
+                            ">
+          <div class="label" tal:condition="widget/label_edit"
+            tal:attributes="class python:test(is_required, 'label required',
+                                              'label')">
+            <label i18n:translate="" tal:condition="widget/is_i18n"
+              tal:content="widget/label_edit"
+              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+            <label tal:condition="not:widget/is_i18n"
+              tal:content="widget/label_edit"
+              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+          </div>
+          <button type="button" class="tooltipControl"
+                  tal:condition="widget/help"
+                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+          <div class="field">
+            <div tal:replace="structure cell/widget_rendered"/>
+          </div>
+          <div class="tooltipArea" style="visibility: hidden;"
+               tal:condition="widget/help"
+               tal:attributes="id tooltip_id;
+                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
+            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
+              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
+            <tal:block tal:condition="not:widget/is_i18n"
+              tal:content="widget/help">This is the help for this field</tal:block>
+          </div>
+          <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                  tal:content="msg">err</em>
+              </tal:block>
+          </tal:block>
+          <div style="float: right;" tal:condition="is_flexible">
+            <input type="submit" value="button_move_up"
+              tal:condition="not:repeat/row/start"
+              tal:attributes="name string:uprow_${repeat/row/index}"
+              class="context moveUp" i18n:attributes="value" />
+            <input type="submit" value="button_move_down"
+              tal:condition="not:repeat/row/end"
+              tal:attributes="name string:downrow_${repeat/row/index}"
+              class="context moveDown" i18n:attributes="value" />
+            <input type="submit" value="button_delete"
+              class="destructive" i18n:attributes="value"
+              tal:attributes="name string:deleterow_${repeat/row/index};
+                              onclick python:'return window.confirm(\'%s\')' %
+                                (cpsmcat('description_confirm_delete'), )" />
+          </div>
+        </div>
+      </tal:block>
+    </td>
+  </tr>
+</table>
+
+<tal:block condition="is_flexible">
+<div style="float: right;"
+    tal:define="flexible_widgets options/flexible_widgets">
+  <input type="hidden" name="layout_id" value="."
+    tal:attributes="value layout/layout_id" />
+  <tal:select condition="python:len(flexible_widgets)>1">
+    <select name="widget_type">
+      <tal:block repeat="widget options/flexible_widgets">
+      <option value="."
+        tal:condition="widget/is_i18n"
+        i18n:translate=""
+        tal:attributes="value widget/getWidgetId"
+        tal:content="widget/title_or_id">Type</option>
+      <option value="."
+        tal:condition="not:widget/is_i18n"
+        tal:attributes="value widget/getWidgetId"
+        tal:content="widget/title_or_id">Type</option>
+      </tal:block>
+    </select>
+    <input type="submit" name="addwidget_button" value="button_add"
+     class="context"
+     i18n:attributes="value" />
+  </tal:select>
+  <tal:button condition="python:len(flexible_widgets) == 1">
+    <tal:block define="widget python:flexible_widgets[0]">
+      <input type="hidden" name="widget_type"
+        tal:attributes="value widget/getWidgetId">
+      <input type="submit" name="addwidget_button"
+        tal:define="button_add python:cpsmcat('button_add');
+          widget_title python:cpsmcat(widget.title_or_id())"
+        tal:attributes="value string:${button_add} ${widget_title}"
+        class="context" />
+    </tal:block>
+  </tal:button>
+</div>
+</tal:block>
+
+<tal:block condition="last_layout">
+  <tal:block content="structure string:</div>" />
+  <metal:block define-slot="additional_content" />
+
+  <input type="submit" class="standalone" name="cpsdocument_edit_button"
+    value="button_change" i18n:attributes="value"
+    tal:condition="not:creation" />
+  <input type="submit" class="standalone" name="cpsdocument_create_button"
+    value="button_create" i18n:attributes="value" tal:condition="creation" />
+  <tal:block content="structure string:</div></form>" />
+</tal:block>
+
+</metal:block>
+    
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_view.pt	(revision 473)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_view.pt	(revision 474)
@@ -1,1 +1,1 @@
-<metal:block use-macro="here/waeup_layout_lib/macros/table_view" />
+<metal:block use-macro="here/layout_waeup_lib/macros/table_view" />
Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_main_navigation.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 473)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<tal:block define="mtool here/portal_membership;
-                   anonymous mtool/isAnonymousUser;
-                   user python: mtool.getAuthenticatedMember();
-                   folder_id python:str(user)"
-                   >
-  <tal:block condition="python: 0 and 'Students' in user.getGroups()">
-    <a href="" i18n:translate=""
-       tal:attributes="href string:${here/portal_url}/sections/waeup/students/${folder_id}"
-       tal:content="string: Personal area for JAMB Registration ${folder_id}"></a>
-  </tal:block>
-  <tal:block condition="python: 1">
-    <a href="" i18n:translate=""
-       tal:attributes="href string:${here/portal_url}/sections/waeup/students"
-       >Studentadministration</a> | 
-    <a href="" i18n:translate=""
-       tal:attributes="href string:${here/portal_url}/sections/waeup/faculties"
-       >Faculties</a> 
-  </tal:block>
-  <tal:block condition="anonymous">
-  </tal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/student_view_all_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/student_view_all_form.pt	(revision 473)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
-               frontend python:'Student' in roles or isAnon;
-               folder here/getContent;
-               items python:context.filterContents(items=context.contentValues());"
-               >
-    <h1> <span tal:content="context/title_or_id" /></h1>      
-  
-    <p>This is a temporary view of the Students Registration view for anonymous users..</p>       
-  
-    <br />
-    <span  tal:condition="python:context.portal_type != 'University'"  tal:omit-tag="">
-      <p>You are visiting the Student Registration Portal as anonymous user.
-      </p>
-    </span>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_default/student_view_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/student_view_student_form.pt	(revision 473)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
-               frontend python:'Student' in roles or isAnon;
-               folder here/getContent;
-               items python:context.filterContents(items=context.contentValues());"
-               >
-    <h1> <span tal:content="context/title_or_id" /></h1>      
-  
-    <p>This is a temporary view of the object with id <em tal:content="here/id" /> 
-       of type <em tal:content="here/portal_type" /> 
-       which can be customized according to the customer's needs.</p>       
-  
-    <br />
-    <span  tal:condition="python:context.portal_type != 'University'"  tal:omit-tag="">
-      <p>Exemplary view of the <strong>object's data fields</strong>: </p>
-      <tal:block  tal:content="structure rendered_main|python:doc.render(proxy=here)" />
-    </span>
-    <br />      
-    <p>Exemplary view of the <strong>list of items attached to (or contained in) the object</strong>: </p>
-    <tal:block condition="python: len(items)">  
-      <table>
-        <span tal:repeat="item items">
-          <tr>
-            <td>
-              <span tal:content="item/portal_type" />:
-            </td>
-            <td>
-              <i>
-                <a href="xxx"  
-                   tal:attributes="href item/absolute_url"
-                   tal:content="item/title_or_id"></a>
-              </i>
-            </td>
-          </tr>
-        </span>
-      </table>
-    </tal:block>
-    
-    <tal:block condition="python: not len(items)">
-        (No items contained here!)
-    </tal:block>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_default/university_view_all.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/university_view_all.pt	(revision 473)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="student_folder here/getContent;
-               items here/contentValues"
-               >
-    <a href="" tal:attributes="href string:${context/absolute_url}/admission_status">Admission List UME</a>.<br />
-    <a href="" tal:attributes="href string:${context/absolute_url}/check_admission">Admission Request (JAMB canditates only)</a>.
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_layout_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_layout_lib.pt	(revision 473)
+++ 	(revision )
@@ -1,372 +1,0 @@
-<!-- WAeUP layout_lib  -->
-<!-- $Id: layout_lib_div_view.pt 24721 2005-07-08 13:04:38Z dwyart $ -->
-
-<!-- div_view  -->
-
-<metal:block define-macro="div_view"
-             tal:define="layout options/layout">
-  <tal:block repeat="row layout/rows">
-    <tal:block repeat="cell row">
-      <tal:block define="widget cell/widget">
-        <div tal:define="dm options/datastructure/getDataModel;"
-             tal:attributes="class cell/widget_css_class|nothing;
-             id python:widget.getHtmlWidgetId()+'_widget';"
-             >
-          <tal:block condition="widget/label">
-            <span class="dlabel" i18n:translate="" tal:condition="widget/is_i18n"
-                  tal:content="widget/label">label</span>
-            <span class="dlabel" tal:condition="not:widget/is_i18n"
-                  tal:content="widget/label">label</span>
-          </tal:block>
-          <tal:block replace="structure cell/widget_rendered" />
-        </div>
-      </tal:block>
-    </tal:block>
-  </tal:block>
-</metal:block>
-
-<!-- table view -->
-<metal:block define-macro="table_view"
-             tal:define="layout options/layout">
-<table border="0">
-    <tal:block repeat="row layout/rows">
-      <tr>
-        <tal:block repeat="cell row">
-          <tal:block define="widget cell/widget">
-            <div tal:omit-tag=""
-                 tal:define="dm options/datastructure/getDataModel;"
-                 tal:attributes="class cell/widget_css_class|nothing;
-                 id python:widget.getHtmlWidgetId()+'_widget';" 
-                 >
-              <tal:block condition="widget/label">
-              <td valign="top">
-                <span i18n:translate="" tal:condition="widget/is_i18n">
-                    <span tal:content="widget/label" />:</span>
-                <span tal:condition="not:widget/is_i18n">
-                    <span tal:content="widget/label" />:</span>
-              </td>
-              </tal:block>
-              <tal:block condition="not: widget/label">
-              <td>
-                <div valign="top"> no label </div>
-              </td>
-              </tal:block>              
-              <td>
-               <div class="ddescription"  tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
-               <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
-             </td>
-            </div>
-          </tal:block>
-        </tal:block>
-      </tr>
-    </tal:block>
-  </table>
-</metal:block>
-
-<!-- default edit  -->
-
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout options/first_layout|python:0;
-              last_layout options/last_layout|python:0;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="first_layout">
-  <tal:block
-  content="structure string:<form action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class=''><div class=''>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         dm options/datastructure/getDataModel;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="submit" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index}"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="submit" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index}"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="submit" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'return window.confirm(\'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div style="float: right;"
-    tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="submit" name="addwidget_button" value="button_add"
-     class="context"
-     i18n:attributes="value" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
-<!-- default edit  -->
-
-<metal:block define-macro="common_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              tin python:type_name and getattr(here.portal_types,type_name,None);
-              creation_form options/create_action|string:create_common;
-              edit_form    options/edit_action|string:cpsdocument_edit_form;
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout python:1;
-              last_layout python:1;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="first_layout">
-    <span tal:condition="python: 0">
-      <span tal:content="request/type_name|string:No Typename" /><br />
-      <span tal:content="creation_form" /><br />
-      <span tal:content="ti" /><br />
-      <span tal:content="python:ti.getActionById('create', 'cpsdocument_create_form')" /><br />
-      <span tal:content="python:getattr(here.portal_types,type_name,'no type')" /><br />
-    </span>
-  <tal:block
-  content="structure string:<form action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class=''><div class='documentFields'>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         dm options/datastructure/getDataModel;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="submit" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index}"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="submit" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index}"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="submit" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'return window.confirm(\'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div style="float: right;"
-    tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="submit" name="addwidget_button" value="button_add"
-     class="context"
-     i18n:attributes="value" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
-    
